### Method

# Foundry Device dup_id

#### Declaration [src]

    char*
    foundry_device_dup_id (
      FoundryDevice* self
    )

#### Description [src]

Gets the user-visible id for the device.

#### Return value

Type: `char*`

A newly allocated string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.